import { Component } from '@angular/core';
import { Router } from '@angular/router';
import * as Parse from "parse";
import { CheckboxCustomEvent,ModalController } from '@ionic/angular';

@Component({
  selector: 'app-page-add',
  templateUrl: './page-add.component.html',
  styleUrls: ['./page-add.component.scss']
})
export class PageAddComponent {
  userAdd: any = {
    name: '',
    gender: '',
    mobile: '',
    img: ''
  };
  selectedImage: string | ArrayBuffer | null = null;
  canDismiss = false;
  presentingElement: Element | null = null;
  modalController: ModalController;

  constructor(modalController: ModalController,
    private router: Router

  ) {    this.modalController = modalController;
  }

  ngOnInit() {
    this.presentingElement = document.querySelector('.ion-page');
  }

  async saveAdd() {
    const HrmContact = Parse.Object.extend('HrmContact');
    const newContact = new HrmContact();

    newContact.set('name', this.userAdd.name);
    newContact.set('gender', this.userAdd.gender);
    newContact.set('mobile', this.userAdd.mobile);
    newContact.set('img', this.userAdd.img);
    // 设置其他联系人信息...

    try {
      await newContact.save();
      console.log('New contact saved successfully');
      this.router.navigate(['/lesson/me/userFollow']); // 导航到联系人列表页面
    } catch (error) {
      console.error('Error while saving new contact', error);
    }
  }
  saveBack(){
    this.router.navigate(['/lesson/me/add']); // 导航到联系人列表页面
  }
  onFileSelected(event: Event) {
    const inputElement = event.target as HTMLInputElement;
    if (inputElement.files && inputElement.files[0]) {
      const file = inputElement.files[0];
      const reader = new FileReader();
      reader.onload = () => {
        this.selectedImage = reader.result;
        this.userAdd.img = reader.result as string; // 将图片数据存储到 userAdd.img 中
      };
      reader.readAsDataURL(file);
    }
  }
  dismissModal() {
    this.modalController.dismiss();
  }
  
  onTermsChanged(event: Event) {
    const ev = event as CheckboxCustomEvent;
    this.canDismiss = ev.detail.checked;
  }
  customPopoverOptions = {
   
    message: '请从以下关系选择',
  };
}
